Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003001TestLinkUser Interface Generalpublic2009-12-10 22:432010-05-01 20:32
Reportertrcjr 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 3 
Summary0003001: Unable to generate API keys in HEAD
Descriptiongui/templates/usermanagement/userInfo.tpl and lib/usermanagement/userInfo.php differ on the case for genApiKey.

The fix is to change gui/templates/usermanagement/userInfo.tpl (revision 1.16) from 'genAPIKey' to 'genApiKey'.

I've attached a changed gui/templates/usermanagement/userInfo.tpl
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon userInfo.tpl [^] (7,639 bytes) 2009-12-10 22:43

- Relationships

-  Notes
(0008463)
fman (administrator)
2009-12-11 01:37

TL version ?
(0008465)
trcjr (reporter)
2009-12-11 01:42

HEAD as is stated in the summary.

$ cvs stat userInfo.tpl
===================================================================
File: userInfo.tpl Status: Locally Modified

   Working revision: 1.17
   Repository revision: 1.17 /cvsroot/testlink/testlink/gui/templates/usermanagement/userInfo.tpl,v
   Sticky Tag: (none)
   Sticky Date: (none)
   Sticky Options: (none)



$ cvs diff userInfo.tpl
Index: userInfo.tpl
===================================================================
RCS file: /cvsroot/testlink/testlink/gui/templates/usermanagement/userInfo.tpl,v
retrieving revision 1.17
diff -r1.17 userInfo.tpl
203c203
< <input type="hidden" name="doAction" value="genAPIKey" />
---
> <input type="hidden" name="doAction" value="genApiKey" />

- Issue History
Date Modified Username Field Change
2009-12-10 22:43 trcjr New Issue
2009-12-10 22:43 trcjr File Added: userInfo.tpl
2009-12-11 01:37 fman Note Added: 0008463
2009-12-11 01:42 trcjr Note Added: 0008465
2009-12-12 01:13 fman Status new => assigned
2009-12-12 01:13 fman Assigned To => fman
2010-02-02 01:02 fman Status assigned => resolved
2010-02-02 01:02 fman Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-02-02 01:02 fman Resolution open => fixed
2010-05-01 20:32 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker